Subject: Re: Virtual user on WU-FTPD?

From: Derek Leung <[email-masked]>
Date: Wed, 01 Oct 1997 14:00:13 -0700

> Then my previous answer is what you need:
> ------
> If you just want access for ftp, then put all users under
> virtual host bar.com into /home/bar.com/ , so joe's home dir is
> /home/bar.com/joe, then put him in a guestgroup with
chroot(/home/bar.com).
>
> Then if you have virtual host foo.com, they'd all be under /home/foo.com,
> etc..
>

I understand, I create a user in /etc/passwd like this:
joe:*:1045:1002::0:0:test:/usr/home/foo.com/./joe/:/bin/ftponly

Ok, now, what about for the domain bar.com then?  I want to also create
another
user Joe for bar.com in home dir /usr/home/bar.com for ftp access only

I can't put another joe entry in /etc/passwd , right?
joe:*:1045:1002::0:0:foo.com user joe:/usr/home/foo.com/./joe/:/bin/ftponly
joe:*:1046:1002::0:0:bar.com user joe:/usr/home/bar.com/./joe/:/bin/ftponly

This is what I want to do.  However, /etc/passwd do not allow dublicate
username.

How can I create two users joe in /etc/passwd while they are refering to two

different people and two different root dir?

That's why I am saying I do need a separate passwd file for different domain
for
ftp access.
Perhaps, I did not explain it clear enough..... =P
 rgd,
Derek

---

From: Kent Landfield <[email-masked]>
Date: Wed, 1 Oct 1997 16:18:22 -0500 (CDT)

What really is needed is a hacked set of pw routines so that virtual
users get their passwd file information from a different place than 
the system users.  There are some real nasty problems just waiting 
to bite us here.  To do it right will take enhancements to the code 
and is not possible with the existing software.

-- 
Kent Landfield                             Phone: 1-817-545-2502             
Email: [email-masked], [email-masked]    http://www.landfield.com/
Please send comp.sources.misc related mail to [email-masked].

---

From: [email-masked]
Date: 1 Oct 1997 22:52:17 GMT

Pink elephants with an attitude inspired Kent Landfield <[email-masked]> to tell garfield.mail.wu-ftpd:
: What really is needed is a hacked set of pw routines so that virtual
: users get their passwd file information from a different place than 
: the system users.  There are some real nasty problems just waiting 
: to bite us here.  To do it right will take enhancements to the code 
: and is not possible with the existing software.

Could PAM (Pluggable Authentication Module) be of help here? Defining a
different way to authenticate users seems to be what that is about..

-- 
Perry Rovers ([email-masked])